Commit a4ffdc2c authored by Zbynek Michl's avatar Zbynek Michl

Makefile modification to expect MinSizeRel configuration on Windows

parent 9946c602
......@@ -36,7 +36,7 @@ sys_linux:
./$(PLUGIN_ROOT)/FireBreath/prepmake.sh $(PLUGIN_ROOT)/projects $(PLUGIN_ROOT)/build -DCMAKE_VERBOSE_MAKEFILE=1 -DCMAKE_C_FLAGS=-m32 -DCMAKE_CXX_FLAGS=-m32 -DCMAKE_BUILD_TYPE=MinSizeRel -DFB_GUI_DISABLED=1
make -C $(PLUGIN_ROOT)/build
mv $(PLUGIN_ROOT)/build/bin/$(PLUGIN_NAME)/np$(PLUGIN_NAME).so plugins/np$(PLUGIN_NAME)_x86.so
strip -x -S plugins/np$(PLUGIN_NAME)_x64.so plugins/np$(PLUGIN_NAME)_x86.so
strip plugins/np$(PLUGIN_NAME)_x64.so plugins/np$(PLUGIN_NAME)_x86.so
sed 's/<em:targetPlatform><\/em:targetPlatform>/<em:targetPlatform>Linux_x86_64-gcc3<\/em:targetPlatform><em:targetPlatform>Linux_x86-gcc3<\/em:targetPlatform>/g' install.rdf.template > install.rdf
./build.sh && mv dnssec.xpi dnssec_validator-$(EXTENSION_VERSION)-linux.xpi
......@@ -60,7 +60,7 @@ sys_windows_pre:
sys_windows_post:
@echo '### Creating package for Windows... ###'
mv $(PLUGIN_ROOT)/build/bin/$(PLUGIN_NAME)/Debug/np$(PLUGIN_NAME).dll plugins/
mv $(PLUGIN_ROOT)/build/bin/$(PLUGIN_NAME)/MinSizeRel/np$(PLUGIN_NAME).dll plugins/
sed 's/<em:targetPlatform><\/em:targetPlatform>/<em:targetPlatform>WINNT_x86-msvc<\/em:targetPlatform>/g' install.rdf.template > install.rdf
./build.sh && mv dnssec.xpi dnssec_validator-$(EXTENSION_VERSION)-windows.xpi
......
......@@ -25,7 +25,7 @@ DNSSEC Validator Add-on. If not, see <http://www.gnu.org/licenses/>.
<em:id>dnssec@nic.cz</em:id>
<em:name>DNSSEC Validator</em:name>
<em:description>Checks whether domain names in the address bar are secured by DNSSEC.</em:description>
<em:version>1.1.0pre</em:version>
<em:version>1.1.0</em:version>
<em:creator>CZ.NIC Labs</em:creator>
<em:developer>Zbyněk Michl</em:developer>
<em:contributor>Matej Dioszegi</em:contributor>
......@@ -42,7 +42,7 @@ DNSSEC Validator Add-on. If not, see <http://www.gnu.org/licenses/>.
<Description>
<em:id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</em:id> <!-- Firefox/Iceweasel -->
<em:minVersion>3.0</em:minVersion>
<em:maxVersion>4.*</em:maxVersion>
<em:maxVersion>4.0b9</em:maxVersion>
</Description>
</em:targetApplication>
<em:unpack>true</em:unpack>
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment